<!DOCTYPE html>
<html>

<head>
    <title th:text="#{view.index.title}">Calculator App Using Spring 4 WebSocket</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <link href="../../../resources/css/bootstrap.min.css" rel="stylesheet" media="screen"
          th:href="@{/resources/css/bootstrap.min.css}"/>
    <link href="../../../resources/css/core.css" rel="stylesheet" media="screen" th:href="@{/resources/css/core.css}"/>
    <script src="../../../resources/js/jquery-2.2.3.min.js" th:src="@{/resources/js/jquery-2.2.3.min.js}"></script>
    <script src="../../../resources/js/bootstrap.min.js" th:src="@{/resources/js/bootstrap.min.js}"></script>
    <script src="../../../resources/js/jquery-2.2.3.min.js" th:src="@{/resources/js/jquery-2.2.3.min.js}"></script>
    <script src="../../../resources/js/stomp.min.js" th:src="@{/resources/js/stomp.min.js}"></script>
    <script src="../../../resources/js/sockjs.min.js" th:src="@{/resources/js/sockjs.min.js}"></script>
    <script type="text/javascript">
        var stompClient = null;
        function setConnected(connected) {
            document.getElementById('connect').disabled = connected;
            document.getElementById('disconnect').disabled = !connected;
            document.getElementById('calculationDiv').style.visibility = connected ? 'visible' : 'hidden';
            document.getElementById('calResponse').innerHTML = '';
        }
        function connect() {
            var socket = new SockJS('/add');
            stompClient = Stomp.over(socket);
            stompClient.connect({}, function(frame) {
                setConnected(true);
                console.log('Connected: ' + frame);
                stompClient.subscribe('/topic/showResult', function(calResult){
                    showResult(JSON.parse(calResult.body).result);
                });
            });
        }
        function disconnect() {
            stompClient.disconnect();
            setConnected(false);
            console.log("Disconnected");
        }
        function sendNum() {
            var num1 = document.getElementById('num1').value;
            var num2 = document.getElementById('num2').value;
            stompClient.send("/calcApp/add", {}, JSON.stringify({ 'num1': num1, 'num2': num2 }));
        }
        function showResult(message) {
            var response = document.getElementById('calResponse');
            var p = document.createElement('p');
            p.style.wordWrap = 'break-word';
            p.appendChild(document.createTextNode(message));
            response.appendChild(p);
        }
    </script>

</head>

<body>
<div th:replace="fragments/header :: header">&nbsp;</div>
<div class="container">

    <noscript><h2>Enable Java script and reload this page to run Websocket Demo</h2></noscript>
    <h1>Calculator App Using Spring 4 WebSocket</h1>
    <div>
        <div>
            <button id="connect" onclick="connect();">Connect</button>
            <button id="disconnect" disabled="disabled" onclick="disconnect();">Disconnect</button><br/><br/>
        </div>
        <div id="calculationDiv">
            <label>Number One:</label><input type="text" id="num1" /><br/>
            <label>Number Two:</label><input type="text" id="num2" /><br/><br/>
            <button id="sendNum" onclick="sendNum();">Send to Add</button>
            <p id="calResponse"></p>
        </div>
    </div>

</div>
<div th:replace="fragments/footer :: ${#authentication.principal.isAdmin()} ? 'footer-admin' : 'footer'">&copy; 2013
    The Static Templates
</div>
</body>
</html>

